| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFCollection Class Referenceabstract

`#include <AAX_IACFCollection.h>`

Inheritance diagram for AAX_IACFCollection:
[legend]
Collaboration diagram for AAX_IACFCollection:
[legend]

## Description

Versioned interface to represent a plug-in binary's static description.

## Public Member Functions
virtual AAX_Result | AddEffect (const char *inEffectID, IACFUnknown *inEffectDescriptor)=0
| Add an Effect description to the collection.
virtual AAX_Result | SetManufacturerName (const char *inPackageName)=0
| Set the plug-in manufacturer name.
virtual AAX_Result | AddPackageName (const char *inPackageName)=0
| Set the plug-in package name.
virtual AAX_Result | SetPackageVersion (uint32_t inVersion)=0
| Set the plug-in package version number.
virtual AAX_Result | SetProperties (IACFUnknown *inProperties)=0
| Set the properties of the collection.

## Member Function Documentation

## ◆ AddEffect()

virtual AAX_Result AAX_IACFCollection::AddEffect | ( | const char * | inEffectID,
|  | IACFUnknown * | inEffectDescriptor
| ) |  |
| pure virtual

Add an Effect description to the collection.

Each Effect that a plug-in registers with AAX_ICollection::AddEffect() is considered a completely different user-facing product. For example, in Avid's Dynamics III plug-in the Expander, Compressor, and DeEsser are each registered as separate Effects. All stem format variations within each Effect are registered within that Effect's AAX_IEffectDescriptor using AddComponent().

The AAX_eProperty_ProductID value for all ProcessProcs within a single Effect must be identical.

This method passes ownership of an AAX_IEffectDescriptor object to the AAX_ICollection. The AAX_IEffectDescriptor must not be deleted by the AAX plug-in, nor should it be edited in any way after it is passed to the AAX_ICollection.

Parameters

  [in] | inEffectID | The effect ID.
  [in] | inEffectDescriptor | The Effect descriptor.

## ◆ SetManufacturerName()

virtual AAX_Result AAX_IACFCollection::SetManufacturerName | ( | const char * | inPackageName | ) |
| pure virtual

Set the plug-in manufacturer name.

Parameters

  [in] | inPackageName | The name of the manufacturer.

## ◆ AddPackageName()

virtual AAX_Result AAX_IACFCollection::AddPackageName | ( | const char * | inPackageName | ) |
| pure virtual

Set the plug-in package name.

May be called multiple times to add abbreviated package names.

Note
  Every plug-in must include at least one name variant with 16 or fewer characters, plus a null terminating character. Used for Presets folder.

Parameters

  [in] | inPackageName | The name of the package.

## ◆ SetPackageVersion()

virtual AAX_Result AAX_IACFCollection::SetPackageVersion | ( | uint32_t | inVersion | ) |
| pure virtual

Set the plug-in package version number.

Parameters

  [in] | inVersion | The package version numner.

## ◆ SetProperties()

virtual AAX_Result AAX_IACFCollection::SetProperties | ( | IACFUnknown * | inProperties | ) |
| pure virtual

Set the properties of the collection.

Parameters

  [in] | inProperties | Collection properties

The documentation for this class was generated from the following file:

- AAX_IACFCollection.h